aboutsummaryrefslogtreecommitdiff
path: root/aux/guix/with-container.sh
diff options
context:
space:
mode:
Diffstat (limited to 'aux/guix/with-container.sh')
-rwxr-xr-xaux/guix/with-container.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/aux/guix/with-container.sh b/aux/guix/with-container.sh
new file mode 100755
index 0000000..3e6a590
--- /dev/null
+++ b/aux/guix/with-container.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eux
+
+if [ -z "${1:-}" ]; then
+ guix time-machine -C aux/guix/pinned-channels.scm -- \
+ environment --pure -C -m aux/guix/manifest.scm
+elif [ "$1" = '-i' ]; then
+ guix time-machine -C aux/guix/pinned-channels.scm -- \
+ environment -m aux/guix/manifest.scm
+else
+ guix time-machine -C aux/guix/pinned-channels.scm -- \
+ environment --pure -C -m aux/guix/manifest.scm -- \
+ sh -c "$@"
+fi